Notifly
API ReferenceContexts

Update a context

Update the data of an existing context. **type** and **id** are required fields, **data** is required. Only the data field is updated, the rest of the context is not affected. If the context does not exist, it returns the 404 response

PATCH
/v2/contexts/{type}/{id}

Update the data of an existing context. type and id are required fields, data is required. Only the data field is updated, the rest of the context is not affected. If the context does not exist, it returns the 404 response

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

id*string

Context ID

type*string

Context type

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v2/contexts/string/string" \  -H "Content-Type: application/json" \  -d '{    "data": {      "tenantName": "Acme Corp",      "region": "us-east-1",      "settings": {        "theme": "dark"      }    }  }'
{  "data": {    "type": "string",    "id": "string",    "data": {},    "createdAt": "string",    "updatedAt": "string"  }}